Skip to navigation

Copy a quote version by resource ID

Requires the QUOTE.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdstringRequiredDefaults to
The ID of the resource for which the action is posted.

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
expires_atdatetime or nullOptional
The expiration date of the new quote version. When absent, the new version does not expire.
noteslist of strings or nullOptional
Notes on the new quote version. When absent, those of the copied quote version.
internal_noteslist of strings or nullOptional
Internal notes on the new quote version. When absent, those of the copied quote version.
contentobjectOptional
Content of the body of the new quote version. When absent, that of the copied quote version.

Response

OK
object_typestring or nullOptionalRead-only
idstring or nullOptionalRead-only
created_atstring or nullOptionalRead-only
updated_atstring or nullOptionalRead-only
expires_atdatetime or nullOptional
The expiration date of the quote version.
quote_idstringOptional
The ID of the quote.
versionintegerOptional
The value describing the version of the quote.
signing_requiredboolean or nullOptionalRead-only
Whether signing is required. Resolved from the quote template or platform default for the first version, then inherited from the previous version.
pricing_plan_subscription_infoobject or nullOptional

Deprecated, use pricing_plan_subscription_infos. Only set when there is exactly one linked pricing plan subscription.

pricing_plan_subscription_infoslist of objects or nullOptionalRead-only

The linked pricing plan subscriptions: those of the customer of the quote and of its children, the first created first.

contentobjectOptional
Content of the body of the quote.
statusenum or nullOptional
actionslist of objects or nullOptionalRead-only
The history of all actions done.
internal_noteslist of strings or nullOptional
Internal notes on this quote versions.
noteslist of strings or nullOptional
Notes on this quote versions.
approval_request_idstring or nullOptionalRead-only
The ID of the Approval Request that was created for this Quote Version.
recipientslist of objects or nullOptional
The recipients for signature on this quote version.
invoices_infoobject or nullOptional
Information pertaining to the invoices generated by this quote version.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error